name: "Test"
on:
  pull_request:
  push:
  workflow_dispatch:

jobs:
  tests:
    runs-on: ubuntu-latest
    steps:
      - uses: https://github.com/actions/checkout@v4
      # - name: Install Nix
      #   uses: https://github.com/DeterminateSystems/nix-installer-action@main
      - uses: https://github.com/cachix/install-nix-action@v31
        with:
          enable_kvm: false
      #     nix_path: nixpkgs=channel:nixos-unstable
      # - name: Configure Nix Cache
      #   uses: https://github.com/DeterminateSystems/magic-nix-cache-action@main
      - name: Configure Cachix
        uses: https://github.com/cachix/cachix-action@v14
        with:
          name: colmena
          # If you chose signing key for write access
          # signingKey: "${{ secrets.CACHIX_SIGNING_KEY }}"
          # If you chose API tokens for write access OR if you have a private cache
          # authToken: "${{ secrets.CACHIX_AUTH_TOKEN }}"
      - run: nix-env -if https://github.com/zhaofengli/colmena/tarball/main
      - run: colmena apply
